package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.Collectorwireproject;

import java.util.List;

/**
 * CollectorwireprojectService接口
 *
 * @author hlf
 * @date 2021-08-02
 */
public interface ICollectorwireprojectService {
    /**
     * 查询Collectorwireproject
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return Collectorwireproject
     */
    public Collectorwireproject selectCollectorwireprojectById(Long collectorwireNo);

    /**
     * 查询Collectorwireproject列表
     *
     * @param collectorwireproject Collectorwireproject
     * @return Collectorwireproject集合
     */
    public List<Collectorwireproject> selectCollectorwireprojectList(Collectorwireproject collectorwireproject);

    /**
     * 新增Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    public int insertCollectorwireproject(Collectorwireproject collectorwireproject);

    /**
     * 修改Collectorwireproject
     *
     * @param collectorwireproject Collectorwireproject
     * @return 结果
     */
    public int updateCollectorwireproject(Collectorwireproject collectorwireproject);

    /**
     * 删除Collectorwireproject信息
     *
     * @param collectorwireNo CollectorwireprojectID
     * @return 结果
     */
    public int deleteCollectorwireprojectById(Long collectorwireNo);

    Collectorwireproject selectCollectorwireproject(Long windplantNo, Long projectNo, Long collectorwireNo);

    List<Collectorwireproject> selectCollectorwireprojectByProjectNo(Long windplantNo, Long projectNo);

    Long selectNewData();

    int deleteCollectorwireprojectByWindplantNo(Long windplantNo);

    List<Collectorwireproject> selectCollectorwireprojectByWindplantNo(Long windplantNo);

    int deleteCollectorwireprojectByProjectNo(Long projectNo);
}